Loading...
Searching...
No Matches
serial::SerialPort::Settings Struct Reference

Port settings. More...

`import "SerialPort.idl";`

## Public Attributes

BaudRate | consoleBaudRate
| Baud rate to be used for running the console application.
BaudRate | modemBaudRate
| Baud rate to be used for communicating with an attached modem.
DetectionType | detectType
| Type of connected device to be assumed in device detection.

## Detailed Description

Port settings.

Definition at line 77 of file SerialPort.idl.

## Member Data Documentation

## consoleBaudRate

BaudRate serial::SerialPort::Settings::consoleBaudRate

Baud rate to be used for running the console application.

Definition at line 78 of file SerialPort.idl.

## detectType

DetectionType serial::SerialPort::Settings::detectType

Type of connected device to be assumed in device detection.

Definition at line 80 of file SerialPort.idl.

## modemBaudRate

BaudRate serial::SerialPort::Settings::modemBaudRate

Baud rate to be used for communicating with an attached modem.

Definition at line 79 of file SerialPort.idl.

The documentation for this struct was generated from the following file:

- SerialPort.idl